Index: doc/user/bsp.t
===================================================================
--- doc/user/bsp.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/bsp.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -56,6 +56,8 @@
 Normally, the application's initialization is
 performed at two separate times:  before the call to
-initialize_executive (reset application initialization) and
-after initialize_executive in the user's initialization tasks
+@code{@value{DIRPREFIX}initialize_executive}
+(reset application initialization) and
+after @code{@value{DIRPREFIX}initialize_executive}
+in the user's initialization tasks
 (local and global application initialization).  The order of the
 startup procedure is as follows:
@@ -63,5 +65,5 @@
 @enumerate
 @item Reset application initialization.
-@item Call to initialize_executive
+@item Call to @code{@value{DIRPREFIX}initialize_executive}
 @item Local and global application initialization.
 @end enumerate
@@ -80,13 +82,15 @@
 by the reset application initialization code.  Because
 interrupts are enabled automatically by RTEMS as part of the
-initialize_executive directive, the Interrupt Vector Table MUST
+@code{@value{DIRPREFIX}initialize_executive} directive,
+the Interrupt Vector Table MUST
 be set before this directive is invoked to insure correct
 interrupt vectoring.  The processor's Interrupt Vector Table
 must be accessible by RTEMS as it will be modified by the
-interrupt_catch directive.  On some CPUs, RTEMS installs it's
+@code{@value{DIRPREFIX}interrupt_catch} directive.  
+On some CPUs, RTEMS installs it's
 own Interrupt Vector Table as part of initialization and thus
 these requirements are met automatically.  The reset code which
-is executed before the call to initialize_executive has the
-following requirements:
+is executed before the call to @code{@value{DIRPREFIX}initialize_executive}
+has the following requirements:
 
 @itemize @bullet
@@ -99,5 +103,5 @@
 @item Must allocate a stack of at least @code{@value{RPREFIX}MINIMUM_STACK_SIZE}
 bytes and initialize the stack pointer for the
-initialize_executive directive.
+@code{@value{DIRPREFIX}initialize_executive} directive.
 
 @item Must initialize the processor's Interrupt Vector Table.
@@ -110,5 +114,5 @@
 @end itemize
 
-The initialize_executive directive does not return to
+The @code{@value{DIRPREFIX}initialize_executive} directive does not return to
 the initialization code, but causes the highest priority
 initialization task to begin execution.  Initialization tasks
@@ -209,8 +213,8 @@
 
 Most RTEMS applications will include a clock tick
-device driver which invokes the clock_tick directive at regular
-intervals.  The clock tick is necessary if the application is to
-utilize timeslicing, the clock manager, the timer manager, the
-rate monotonic manager, or the timeout option on blocking
+device driver which invokes the @code{@value{DIRPREFIX}clock_tick}
+directive at regular intervals.  The clock tick is necessary if
+the application is to utilize timeslicing, the clock manager, the
+timer manager, the rate monotonic manager, or the timeout option on blocking
 directives.
 
@@ -227,5 +231,6 @@
 Table.  An alternate approach is to set the initial count for a
 fixed time period (such as one millisecond) and have the ISR
-invoke clock_tick on the microseconds_per_tick boundaries.
+invoke @code{@value{DIRPREFIX}clock_tick}
+on the microseconds_per_tick boundaries.
 Obviously, this can induce some error if the configured
 microseconds_per_tick is not evenly divisible by the chosen
Index: doc/user/clock.t
===================================================================
--- doc/user/clock.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/clock.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -57,5 +57,6 @@
 utilized, periodic timer interrupts are required.  Therefore, a
 real-time clock or hardware timer is necessary to create the
-timer interrupts.  The clock_tick directive is normally called
+timer interrupts.  The @code{@value{DIRPREFIX}clock_tick}
+directive is normally called
 by the timer ISR to announce to RTEMS that a system clock tick
 has occurred.  Elapsed time is measured in ticks.  A tick is
@@ -106,7 +107,8 @@
 The native date and time format is the only format
 supported when setting the system date and time using the
-clock_get directive.  Some applications expect to operate on a
-"UNIX-style" date and time data structure.  The clock_get
-directive can optionally return the current date and time in the
+@code{@value{DIRPREFIX}clock_get} directive.  Some applications
+expect to operate on a "UNIX-style" date and time data structure.  The 
+@code{@value{DIRPREFIX}clock_get} directive can optionally return
+the current date and time in the
 following @value{STRUCTURE}:
 
@@ -152,5 +154,6 @@
 timeslicing is enabled and disabled on a per task basis.
 
-The clock_tick directive implements timeslicing by
+The @code{@value{DIRPREFIX}clock_tick}
+directive implements timeslicing by
 decrementing the running task's time-remaining counter when both
 timeslicing and preemption are enabled.  If the task's timeslice
@@ -166,5 +169,6 @@
 interval or up until a given time, and then wake and continue
 execution.  This type of timer is created automatically by the
-task_wake_after and task_wake_when directives and, as a result,
+@code{@value{DIRPREFIX}task_wake_after}
+and @code{@value{DIRPREFIX}task_wake_when} directives and, as a result,
 does not have an RTEMS ID.  Once activated, a sleep timer cannot
 be explicitly deleted.  Each task may activate one and only one
@@ -178,8 +182,10 @@
 Timeouts are a special type of timer automatically
 created when the timeout option is used on the
-message_queue_receive, event_receive, semaphore_obtain and
-region_get_segment directives.  Each task may have one and only
-one timeout active at a time.  When a timeout expires, it
-unblocks the task with a timeout status code.
+@code{@value{DIRPREFIX}message_queue_receive},
+@code{@value{DIRPREFIX}event_receive},
+@code{@value{DIRPREFIX}semaphore_obtain} and
+@code{@value{DIRPREFIX}region_get_segment} directives.  
+Each task may have one and only one timeout active at a time.  
+When a timeout expires, it unblocks the task with a timeout status code.
 
 @ifinfo
@@ -200,5 +206,5 @@
 @subsection Announcing a Tick
 
-RTEMS provides the clock_tick directive which is
+RTEMS provides the @code{@value{DIRPREFIX}clock_tick} directive which is
 called from the user's real-time clock ISR to inform RTEMS that
 a tick has elapsed.  The tick frequency value, defined in
@@ -206,10 +212,14 @@
 Configuration Table.  RTEMS divides one million microseconds
 (one second) by the number of microseconds per tick to determine
-the number of calls to the clock_tick directive per second.  The
-frequency of clock_tick calls determines the resolution
+the number of calls to the
+@code{@value{DIRPREFIX}clock_tick} directive per second.  The
+frequency of @code{@value{DIRPREFIX}clock_tick}
+calls determines the resolution
 (granularity) for all time dependent RTEMS actions.  For
-example, calling clock_tick ten times per second yields a higher
-resolution than calling clock_tick two times per second.  The
-clock_tick directive is responsible for maintaining both
+example, calling @code{@value{DIRPREFIX}clock_tick}
+ten times per second yields a higher
+resolution than calling @code{@value{DIRPREFIX}clock_tick}
+two times per second.  The @code{@value{DIRPREFIX}clock_tick}
+directive is responsible for maintaining both
 calendar time and the dynamic set of timers.
 
@@ -219,9 +229,9 @@
 @subsection Setting the Time
 
-The clock_set directive allows a task or an ISR to
+The @code{@value{DIRPREFIX}clock_set} directive allows a task or an ISR to
 set the date and time maintained by RTEMS.  If setting the date
 and time causes any outstanding timers to pass their deadline,
 then the expired timers will be fired during the invocation of
-the clock_set directive.
+the @code{@value{DIRPREFIX}clock_set} directive.
 
 @ifinfo
@@ -230,5 +240,5 @@
 @subsection Obtaining the Time
 
-The clock_get directive allows a task or an ISR to
+The @code{@value{DIRPREFIX}clock_get} directive allows a task or an ISR to
 obtain the current date and time or date and time related
 information.  The current date and time can be returned in
@@ -237,5 +247,6 @@
 the number of seconds since the RTEMS epoch, the number of ticks
 since the executive was initialized, and the number of ticks per
-second.  The information returned by the clock_get directive is
+second.  The information returned by the
+@code{@value{DIRPREFIX}clock_get} directive is
 dependent on the option selected by the caller.  The following
 options are available:
@@ -244,14 +255,15 @@
 @item @code{@value{RPREFIX}CLOCK_GET_TOD} - obtain native style date and time
 
-@item @code{@value{RPREFIX}CLOCK_GET_TIME_VALUE} - obtain UNIX-style date and time
+@item @code{@value{RPREFIX}CLOCK_GET_TIME_VALUE} - obtain UNIX-style
+date and time
 
 @item @code{@value{RPREFIX}CLOCK_GET_TICKS_SINCE_BOOT} - obtain number of ticks
 since RTEMS was initialized
 
-@item @code{@value{RPREFIX}CLOCK_GET_SECONDS_SINCE_EPOCH} - obtain number of seconds
-since RTEMS epoch
-
-@item @code{@value{RPREFIX}CLOCK_GET_TICKS_PER_SECOND} - obtain number of clock ticks
-per second
+@item @code{@value{RPREFIX}CLOCK_GET_SECONDS_SINCE_EPOCH} - obtain number
+of seconds since RTEMS epoch
+
+@item @code{@value{RPREFIX}CLOCK_GET_TICKS_PER_SECOND} - obtain number of clock
+ticks per second
 
 @end itemize
@@ -327,6 +339,6 @@
 Re-initializing RTEMS causes the system date and time
 to be reset to an uninitialized state.  Another call to
-clock_set is required to re-initialize the system date and time
-to application specific specifications.
+@code{@value{DIRPREFIX}clock_set} is required to re-initialize
+the system date and time to application specific specifications.
 
 @page
@@ -366,10 +378,13 @@
 the caller is attempting to obtain the date and time (i.e.
 option is set to either @code{@value{RPREFIX}CLOCK_GET_SECONDS_SINCE_EPOCH},
-@code{@value{RPREFIX}CLOCK_GET_TOD}, or @code{@value{RPREFIX}CLOCK_GET_TIME_VALUE}) and the date and time
-has not been set with a previous call to clock_set, then the
-@code{@value{RPREFIX}NOT_DEFINED} status code is returned.  The caller can always
-obtain the number of ticks per second (option is
-@code{@value{RPREFIX}CLOCK_GET_TICKS_PER_SECOND}) and the number of ticks since the
-executive was initialized option is @code{@value{RPREFIX}CLOCK_GET_TICKS_SINCE_BOOT}).
+@code{@value{RPREFIX}CLOCK_GET_TOD}, or
+@code{@value{RPREFIX}CLOCK_GET_TIME_VALUE}) and the date and time
+has not been set with a previous call to
+@code{@value{DIRPREFIX}clock_set}, then the
+@code{@value{RPREFIX}NOT_DEFINED} status code is returned. 
+The caller can always obtain the number of ticks per second (option is
+@code{@value{RPREFIX}CLOCK_GET_TICKS_PER_SECOND}) and the number of
+ticks since the executive was initialized option is
+@code{@value{RPREFIX}CLOCK_GET_TICKS_SINCE_BOOT}).
 
 The data type expected for time_buffer is indicated below:
@@ -392,17 +407,18 @@
 @ifset is-Ada
 @itemize @bullet
-@item @code{@value{RPREFIX}CLOCK_GET_TOD} - Address of an variable of type RTEMS.Time_Of_Day
+@item @code{@value{RPREFIX}CLOCK_GET_TOD} - Address of an variable of
+type RTEMS.Time_Of_Day
 
 @item @code{@value{RPREFIX}CLOCK_GET_TIME_VALUE} - Address of an variable of
 type RTEMS.Clock_Time_Value
 
-@item @code{@value{RPREFIX}CLOCK_GET_TICKS_SINCE_BOOT} - Address of an variable of
-type RTEMS.Interval
-
-@item @code{@value{RPREFIX}CLOCK_GET_SECONDS_SINCE_EPOCH} - Address of an variable of
-type RTEMS.Interval
-
-@item @code{@value{RPREFIX}CLOCK_GET_TICKS_PER_SECOND} - Address of an variable of
-type RTEMS.Interval
+@item @code{@value{RPREFIX}CLOCK_GET_TICKS_SINCE_BOOT} - Address of an
+variable of type RTEMS.Interval
+
+@item @code{@value{RPREFIX}CLOCK_GET_SECONDS_SINCE_EPOCH} - Address of an
+variable of type RTEMS.Interval
+
+@item @code{@value{RPREFIX}CLOCK_GET_TICKS_PER_SECOND} - Address of an
+variable of type RTEMS.Interval
 
 @end itemize
@@ -416,6 +432,6 @@
 preempted.  Re-initializing RTEMS causes the system date and
 time to be reset to an uninitialized state.  Another call to
-clock_set is required to re-initialize the system date and time
-to application specific specifications.
+@code{@value{DIRPREFIX}clock_set} is required to re-initialize the
+system date and time to application specific specifications.
 
 @page
Index: doc/user/conf.t
===================================================================
--- doc/user/conf.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/conf.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -36,6 +36,7 @@
 configure the number of device drivers or which APIs may be used.
 THe address of the user-defined Configuration Table is passed as an
-argument to the initialize_executive directive, which MUST be
-the first RTEMS directive called.  The RTEMS Configuration Table
+argument to the @code{@value{DIRPREFIX}initialize_executive}
+directive, which MUST be the first RTEMS directive called.  
+The RTEMS Configuration Table
 is defined in the following @value{LANGUAGE} @value{STRUCTURE}:
 
@@ -91,5 +92,5 @@
 If the address is not aligned on a four-word boundary, then
 RTEMS will invoke the fatal error handler during
-initialize_executive.
+@code{@value{DIRPREFIX}initialize_executive}.
 
 @item work_space_size
@@ -525,21 +526,22 @@
 @table @b
 @item initialization
-is the address of the entry point called by io_initialize
+is the address of the entry point called by
+@code{@value{DIRPREFIX}io_initialize}
 to initialize a device driver and its associated devices.
 
 @item open
-is the address of the entry point called by io_open.
+is the address of the entry point called by @code{@value{DIRPREFIX}io_open}.
 
 @item close
-is the address of the entry point called by io_close.
+is the address of the entry point called by @code{@value{DIRPREFIX}io_close}.
 
 @item read
-is the address of the entry point called by io_read.
+is the address of the entry point called by @code{@value{DIRPREFIX}io_read}.
 
 @item write
-is the address of the entry point called by io_write.
+is the address of the entry point called by @code{@value{DIRPREFIX}io_write}.
 
 @item control
-is the address of the entry point called by io_control.
+is the address of the entry point called by @code{@value{DIRPREFIX}io_control}.
 
 @end table
@@ -691,10 +693,11 @@
 continue execution (i.e. delete or restart the task) or to
 terminate with a fatal error.  If this field is set to NULL, the
-default RTEMS task_exitted handler will be invoked.
+default RTEMS TASK_EXITTED handler will be invoked.
 
 @item fatal
 is the address of the user-supplied
 subroutine for the FATAL extension.  This RTEMS extension of
-fatal error handling is called from the fatal_error_occurred
+fatal error handling is called from the 
+@code{@value{DIRPREFIX}fatal_error_occurred}
 directive.  If the user's fatal error handler returns or if this
 entry is NULL then the default RTEMS fatal error handler will be
@@ -972,6 +975,8 @@
 The starting address of the RTEMS RAM Workspace must
 be aligned on a four-byte boundary.  Failure to properly align
-the workspace area will result in the fatal_error_occurred
-directive being invoked with the @code{@value{RPREFIX}INVALID_ADDRESS} error code.
+the workspace area will result in the 
+@code{@value{DIRPREFIX}fatal_error_occurred}
+directive being invoked with the
+@code{@value{RPREFIX}INVALID_ADDRESS} error code.
 
 A worksheet is provided in the Memory Requirements
@@ -1001,4 +1006,5 @@
 
 Failure to provide enough space in the RTEMS RAM
-Workspace will result in the fatal_error_occurred directive
+Workspace will result in the 
+@code{@value{DIRPREFIX}fatal_error_occurred} directive
 being invoked with the appropriate error code.
Index: doc/user/dpmem.t
===================================================================
--- doc/user/dpmem.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/dpmem.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -77,5 +77,5 @@
 @subsection Creating a Port
 
-The port_create directive creates a port into a DPMA
+The @code{@value{DIRPREFIX}port_create} directive creates a port into a DPMA
 with the user-defined name.  The user specifies the association
 between internal and external representations for the port being
@@ -95,7 +95,9 @@
 ID and assigns it to the created port until it is deleted.  The
 port ID may be obtained by either of two methods.  First, as the
-result of an invocation of the port_create directive, the task
+result of an invocation of the
+@code{@value{DIRPREFIX}port_create} directive, the task
 ID is stored in a user provided location.  Second, the port ID
-may be obtained later using the port_ident directive.  The port
+may be obtained later using the
+@code{@value{DIRPREFIX}port_ident} directive.  The port
 ID is used by other dual-ported memory manager directives to
 access this port.
@@ -106,7 +108,8 @@
 @subsection Converting an Address
 
-The port_external_to_internal directive is used to
+The @code{@value{DIRPREFIX}port_external_to_internal} directive is used to
 convert an address from external to internal representation for
-the specified port.  The port_internal_to_external directive is
+the specified port.  
+The @code{@value{DIRPREFIX}port_internal_to_external} directive is
 used to convert an address from internal to external
 representation for the specified port.  If an attempt is made to
@@ -120,5 +123,5 @@
 
 A port can be removed from the system and returned to
-RTEMS with the port_delete directive.  When a port is deleted,
+RTEMS with the @code{@value{DIRPREFIX}port_delete} directive.  When a port is deleted,
 its control block is returned to the DPCB free list.
 
Index: doc/user/event.t
===================================================================
--- doc/user/event.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/event.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -101,6 +101,6 @@
 For example, when sending the event set consisting of
 @code{@value{RPREFIX}EVENT_6}, @code{@value{RPREFIX}EVENT_15}, and @code{@value{RPREFIX}EVENT_31},
-the event parameter to the event_send directive should be 
-@code{@value{RPREFIX}EVENT_6 @value{OR}
+the event parameter to the @code{@value{DIRPREFIX}event_send}
+directive should be @code{@value{RPREFIX}EVENT_6 @value{OR}
 @value{RPREFIX}EVENT_15 @value{OR} @value{RPREFIX}EVENT_31}.
 
@@ -112,5 +112,6 @@
 In general, an option is built by a bitwise OR of the
 desired option components.  The set of valid options for the
-event_receive directive are listed in the following table:
+@code{@value{DIRPREFIX}event_receive} directive are listed
+in the following table:
 
 @itemize @bullet
@@ -132,10 +133,10 @@
 This example demonstrates the option parameter needed
 to poll for all events in a particular event condition to
-arrive.  The option parameter passed to the event_receive
-directive should be either
+arrive.  The option parameter passed to the
+@code{@value{DIRPREFIX}event_receive} directive should be either
 @code{@value{RPREFIX}EVENT_ALL @value{OR} @value{RPREFIX}NO_WAIT}
 or @code{@value{RPREFIX}NO_WAIT}.  The option parameter can be set to
 @code{@value{RPREFIX}NO_WAIT} because @code{@value{RPREFIX}EVENT_ALL} is the
-default condition for event_receive.
+default condition for @code{@value{DIRPREFIX}event_receive}.
 
 @ifinfo
@@ -157,5 +158,5 @@
 @subsection Sending an Event Set
 
-The event_send directive allows a task (or an ISR) to
+The @code{@value{DIRPREFIX}event_send} directive allows a task (or an ISR) to
 direct an event set to a target task.  Based upon the state of
 the target task, one of the following situations applies:
@@ -188,5 +189,5 @@
 @subsection Receiving an Event Set
 
-The event_receive directive is used by tasks to
+The @code{@value{DIRPREFIX}event_receive} directive is used by tasks to
 accept a specific input event condition.  The task also
 specifies whether the request is satisfied when all requested
@@ -214,7 +215,8 @@
 
 A task can determine the pending event set by calling
-the event_receive directive with a value of PENDING_EVENTS for
-the input event condition.  The pending events are returned to
-the calling task but the event set is left unaltered.
+the @code{@value{DIRPREFIX}event_receive} directive with a value of
+@code{@value{RPREFIX}PENDING_EVENTS} for the input event condition.  
+The pending events are returned to the calling task but the event
+set is left unaltered.
 
 @ifinfo
@@ -224,6 +226,7 @@
 
 A task can receive all of the currently pending
-events by calling the event_receive directive with a value of
-@code{@value{RPREFIX}ALL_EVENTS} for the input event condition and
+events by calling the @code{@value{DIRPREFIX}event_receive}
+directive with a value of @code{@value{RPREFIX}ALL_EVENTS}
+for the input event condition and
 @code{@value{RPREFIX}NO_WAIT @value{OR} @value{RPREFIX}EVENT_ANY}
 for the option set.  The pending events are returned to the
@@ -295,5 +298,6 @@
 Identical events sent to a task are not queued.  In
 other words, the second, and subsequent, posting of an event to
-a task before it can perform an event_receive has no effect.
+a task before it can perform an @code{@value{DIRPREFIX}event_receive}
+has no effect.
 
 The calling task will be preempted if it has
Index: doc/user/init.t
===================================================================
--- doc/user/init.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/init.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -124,5 +124,6 @@
 
 The fatal_error_occurred directive will be called
-from initialize_executive for any of the following reasons:
+from @code{@value{DIRPREFIX}initialize_executive}
+for any of the following reasons:
 
 @itemize @bullet
@@ -171,9 +172,11 @@
 @subsection Initializing RTEMS
 
-The initialize_executive directive is called by the
+The @code{@value{DIRPREFIX}initialize_executive}
+directive is called by the
 board support package at the completion of its initialization
 sequence.  RTEMS assumes that the board support package
 successfully completed its initialization activities.  The
-initialize_executive directive completes the initialization
+@code{@value{DIRPREFIX}initialize_executive}
+directive completes the initialization
 sequence by performing the following actions:
 
@@ -189,5 +192,6 @@
 This directive MUST be called before any other RTEMS
 directives.  The effect of calling any RTEMS directives before
-initialize_executive is unpredictable.  Many of RTEMS actions
+@code{@value{DIRPREFIX}initialize_executive}
+is unpredictable.  Many of RTEMS actions
 during initialization are based upon the contents of the
 Configuration Table and CPU Dependent Information Table.  For
@@ -199,15 +203,20 @@
 are enabled, the highest priority, ready task will be dispatched
 to run.  Control will not be returned to the board support
-package after multitasking is enabled until shutdown_executive
+package after multitasking is enabled until
+@code{@value{DIRPREFIX}shutdown_executive}
 the directive is called.
 
-The initialize_executive directive provides a
+The @code{@value{DIRPREFIX}initialize_executive}
+directive provides a
 conceptually simple way to initialize RTEMS.  However, in
 certain cases, this mechanism cannot be used.  The
-initialize_executive_early and initialize_executive_late
+@code{@value{DIRPREFIX}initialize_executive_early}
+and @code{@value{DIRPREFIX}initialize_executive_late}
 directives are provided as an alternative mechanism for
-initializing RTEMS.  The initialize_executive_early directive
+initializing RTEMS.  The
+@code{@value{DIRPREFIX}initialize_executive_early} directive
 returns to the caller BEFORE initiating multitasking.  The
-initialize_executive_late directive is invoked to start
+@code{@value{DIRPREFIX}initialize_executive_late}
+directive is invoked to start
 multitasking.  It is critical that only one of the RTEMS
 initialization sequences be used in an application.
@@ -218,9 +227,9 @@
 @subsection Shutting Down RTEMS
 
-The shutdown_executive directive is invoked by the
+The @code{@value{DIRPREFIX}shutdown_executive} directive is invoked by the
 application to end multitasking and return control to the board
 support package.  The board support package resumes execution at
 the code immediately following the invocation of the
-initialize_executive directive.
+@code{@value{DIRPREFIX}initialize_executive} directive.
 
 @ifinfo
@@ -282,5 +291,6 @@
 Table, and the Multiprocessor Communications Interface (MPCI)
 Table.  This directive starts multitasking and does not return
-to the caller until the shutdown_executive directive is invoked.
+to the caller until the @code{@value{DIRPREFIX}shutdown_executive}
+directive is invoked.
 
 @subheading NOTES:
@@ -288,5 +298,6 @@
 This directive MUST be the first RTEMS directive
 called and it DOES NOT RETURN to the caller until the
-shutdown_executive is invoked.
+@code{@value{DIRPREFIX}shutdown_executive}
+is invoked.
 
 This directive causes all nodes in the system to
@@ -296,9 +307,13 @@
 
 The application must use only one of the two
-initialization sequences: initialize_executive or
-initialize_executive_early and initialize_executive_late.  The
-initialize_executive directive is logically equivalent to
-invoking initialize_executive_early and
-initialize_executive_late with no intervening actions.
+initialization sequences: 
+@code{@value{DIRPREFIX}initialize_executive} or
+@code{@value{DIRPREFIX}initialize_executive_early} and 
+@code{@value{DIRPREFIX}initialize_executive_late}.  The
+@code{@value{DIRPREFIX}initialize_executive}
+directive is logically equivalent to invoking 
+@code{@value{DIRPREFIX}initialize_executive_early} and
+@code{@value{DIRPREFIX}initialize_executive_late}
+with no intervening actions.
 
 @page
@@ -346,11 +361,14 @@
 initiated.  The interrupt level in place when the directive is
 invoked is returned to the caller.  This interrupt level should
-be the same one passed to initialize_executive_late.
+be the same one passed to
+@code{@value{DIRPREFIX}initialize_executive_late}.
 
 @subheading NOTES:
 
 The application must use only one of the two
-initialization sequences: initialize_executive or
-initialize_executive_early and initialize_executive_late.
+initialization sequences:
+@code{@value{DIRPREFIX}initialize_executive} or
+@code{@value{DIRPREFIX}nitialize_executive_early} and 
+@code{@value{DIRPREFIX}nitialize_executive_late}.
 
 @page
@@ -385,10 +403,13 @@
 
 This directive is called after the
-initialize_executive_early directive has been called to complete
+@code{@value{DIRPREFIX}initialize_executive_early}
+directive has been called to complete
 the RTEMS initialization sequence and initiate multitasking.
-The interrupt level returned by the initialize_executive_early
+The interrupt level returned by the
+@code{@value{DIRPREFIX}initialize_executive_early}
 directive should be in bsp_level and this value is restored as
 part of this directive returning to the caller after the
-shutdown_executive directive is invoked.
+@code{@value{DIRPREFIX}shutdown_executive}
+directive is invoked.
 
 @subheading NOTES:
@@ -396,5 +417,5 @@
 This directive MUST be the second RTEMS directive
 called and it DOES NOT RETURN to the caller until the
-shutdown_executive is invoked.
+@code{@value{DIRPREFIX}shutdown_executive} is invoked.
 
 This directive causes all nodes in the system to
@@ -404,6 +425,8 @@
 
 The application must use only one of the two
-initialization sequences: initialize_executive or
-initialize_executive_early and initialize_executive_late.
+initialization sequences:
+@code{@value{DIRPREFIX}initialize_executive} or
+@code{@value{DIRPREFIX}nitialize_executive_early} and
+@code{@value{DIRPREFIX}initialize_executive_late}.
 
 
@@ -443,5 +466,5 @@
 package.  The board support package resumes execution at the
 code immediately following the invocation of the
-initialize_executive directive.
+@code{@value{DIRPREFIX}initialize_executive} directive.
 
 @subheading NOTES:
Index: doc/user/intr.t
===================================================================
--- doc/user/intr.t	(revision 3973e40a54b01fd9f1e4c687c34aa7830a4c2350)
+++ doc/user/intr.t	(revision 75e22db0d500f02e6a1c0304ead2bff4f0790139)
@@ -69,5 +69,6 @@
 if necessary, and device specific manipulation.
 
-The interrupt_catch directive connects a procedure to
+The @code{@value{DIRPREFIX}interrupt_catch}
+directive connects a procedure to
 an interrupt vector.  The interrupt service routine is assumed
 to abide by these conventions and have a prototype similar to
@@ -191,5 +192,6 @@
 @subsection Establishing an ISR
 
-The interrupt_catch directive establishes an ISR for
+The @code{@value{DIRPREFIX}interrupt_catch}
+directive establishes an ISR for
 the system.  The address of the ISR and its associated CPU
 vector number are specified to this directive.  This directive
@@ -404,8 +406,9 @@
 
 This directive enables maskable interrupts to the @code{level}
-which was returned by a previous call to @code{@value{DIRPREFIX}interrupt_disable}.
+which was returned by a previous call to
+@code{@value{DIRPREFIX}interrupt_disable}.
 Immediately prior to invoking this directive, maskable interrupts should
-be disabled by a call to @code{@value{DIRPREFIX}interrupt_disable} and will be enabled
-when this directive returns to the caller.
+be disabled by a call to @code{@value{DIRPREFIX}interrupt_disable}
+and will be enabled when this directive returns to the caller.
 
 @subheading NOTES:
@@ -445,8 +448,9 @@
 
 This directive temporarily enables maskable interrupts to the @code{level}
-which was returned by a previous call to @code{@value{DIRPREFIX}interrupt_disable}.  
+which was returned by a previous call to
+@code{@value{DIRPREFIX}interrupt_disable}.  
 Immediately prior to invoking this directive, maskable interrupts should
-be disabled by a call to @code{@value{DIRPREFIX}interrupt_disable} and will be redisabled
-when this directive returns to the caller.
+be disabled by a call to @code{@value{DIRPREFIX}interrupt_disable}
+and will be redisabled when this directive returns to the caller.
 
 @subheading NOTES:
